System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.Services.Protocols.UrlEncodedParameterWriter

and other classes in the namespace support the .NET Framework's implementations of Web services via the HTTP-GET and HTTP-POST operations. Web service writers and readers serialize and deserialize, respectively, between the parameters or return objects of Web methods and the HTTP request or response streams. Web service writers and readers use HTTP for transport but don't exchange messages using the SOAP standard.

The class provides a client-side method, , to encode parameters name/value pairs into an HTTP request URL's query string. For example, in the URL http://contoso.com?a=1&b=2, a and b are parameter names, and 1 and 2 are their values.

You typically will not need to use directly. Instead, when the Wsdl.exe tool generates client proxy code according to the HTTP-GET implementation, it applies the to each Web method and sets the attribute's property to .

Writes out-going request parameters for Web services implemented using HTTP with name-value pairs encoded in the URL's query string rather than as a SOAP message.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.String `` ``

  The method encodes parameters name/value pairs into an HTTP request URL's query string. For example, in the URL http://contoso.com?a=1&b=2, a and b are parameter names, and 1 and 2 are their values. A new URL string, with any encoded parameters, is returned.

  Writes Web method parameter values to the query string of an HTTP request.

  A object that contains the query string and the parameter values.

  The HTTP request's original URL. The Web method parameter values to be added to the URL, if necessary. 1.0.5000.0 2.0.0.0